Sluby
REST APIAuth

Change the signed-in member's name.

Studio sessions only. The name the members list and the Studio show.

PATCH
/api/v1/auth/me

Studio sessions only. The name the members list and the Studio show.

Authorization

cookieAuth
cookiesluby_session<token>

Signed session cookie issued to the Studio at sign-in (email and password, GitHub, setup, or an invite or reset link).

Request Body

application/json
  1. body
name*string

Trimmed.

Length1 <= length <= 100

Response Body

Renamed.

application/json
  1. response
name*string
Example Request
curl -X PATCH 'https://sluby.example.com/api/v1/auth/me' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "name": "string"}